Package com.plannaplan.repositories

# Interface AssignmentRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<Assignment,​java.lang.Long>`, `org.springframework.data.jpa.repository.JpaRepository<Assignment,​java.lang.Long>`, `org.springframework.data.repository.PagingAndSortingRepository<Assignment,​java.lang.Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<Assignment>`, `org.springframework.data.repository.Repository<Assignment,​java.lang.Long>`

    @Repository
    public interface AssignmentRepository
    extends org.springframework.data.jpa.repository.JpaRepository<Assignment,​java.lang.Long>

AssignmentRepository.getByCommision: Return list of: SELECT * FROM Assignment WHERE commision_id = i . Where i, ?1 are equale to variables.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<Assignment>` | `getByCommision​(java.lang.Long id)` |

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getOne, saveAll, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findOne`

## Method Details

### getByCommision

@Query("FROM Assignment WHERE commision_id = ?1") java.util.List<Assignment> getByCommision​(@Param("commision_id") java.lang.Long id)